# Panoptes
> A Global-Scale, Network Telemetry Ecosystem

## Table of Contents

- [Introduction](#introduction)
- [Install](#install)
- [Configuration](#configuration)
- [Usage](#usage)
- [Contribute](#contribute)
- [License](#license)

## Introduction

Panoptes is a Python based network telemetry ecosystem that implements discovery, enrichment and polling. Key features include:

- A modular design with well defined separation of concerns,
- Plugin architecture that enables the implementation of any telemetry collection, enrichment, or transformation,
- Horizontally scalable: supports clustering to add more capacity, and
- Network telemetry specific constructs like SNMP abstractions, built in counter to gauge conversion.

## Install

Please follow the instructions [here](docs/Installation.md) to download and install Panoptes

## Contribute

We welcome issues, questions, and pull requests.

## Maintainers
* Varun Varma: vvarun@oath.com
* Vivekanand AM: viveka@oath.com
* Ian Holmes: iholmes@oath.com
* James Diss: rexfury@oath.com

## License
This project is licensed under the terms of the [Apache 2.0](LICENSE-Apache-2.0) open source license. Please refer to [LICENSE](LICENSE) for the full terms.
